Order detail by omnicado order ID

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api.documentation.omnicado.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "omnicado MCP server": {
    "url": "https://api.documentation.omnicado.com/mcp"
  }
}

Close
GET /orders/id/{id}

Order detail by omnicado order ID

Path parameters

  • id integer(int64) Required

    ID of order to fetch

Responses

  • 200 application/json

    pet response

    Hide response attributes Show response attributes object
    • id integer(int64)
    • remoteId string
    • externalId string
    • shipDate string(date-time)
    • shippedDate string(date-time)
    • deliveredDate string(date-time)
    • currency string

      ISO currency code

    • paymentType string
    • paymentNo string
    • expeditionStatus string
    • orderStatus string
    • source string
    • totalPrice number(float)
    • deliveryPrice number(float)
    • discount number(float)
    • cashOnDelivery number(float)
    • cashOnDeliveryPrice number(float)
    • cashOnDeliveryPriceWithoutVat number(float)
    • cashOnDeliveryReceived boolean
    • createdAt string(date-time)
    • updatedAt string(date-time)
    • deliveryProvider string
    • externalBranchId string
    • externalOrderProcessor string
    • externalOrderProcessingId string
    • externalOrderDeliveryCarrier string
    • trackingNumber string
    • trackingUrl string
    • invoiceUrl string
    • hasBcxCode boolean
    • deliveryData array[object]
      Hide deliveryData attributes Show deliveryData attributes object
      • id integer(int64)
      • createdAt object
        Hide createdAt attributes Show createdAt attributes object
        • date string
        • timezone_type integer
        • timezone string
      • updatedAt object
        Hide updatedAt attributes Show updatedAt attributes object
        • date string
        • timezone_type integer
        • timezone string
      • company string
      • name string
      • phone string
      • email string
      • street string
      • city string
      • zip string
      • country string
    • items array[object]
      Hide items attributes Show items attributes object
      • id integer(int64)
      • createdAt object
        Hide createdAt attributes Show createdAt attributes object
        • date string
        • timezone_type integer
        • timezone string
      • updatedAt object
        Hide updatedAt attributes Show updatedAt attributes object
        • date string
        • timezone_type integer
        • timezone string
      • remoteId string
      • productId integer
      • productRemoteId string
      • productRemoteCode string
      • marketplaceOrderItemId string
      • quantity integer
      • price number(float)
      • priceWithoutVat number(float)
      • priceWithoutCommissionWithoutVat number(float)
      • vat number(integer)
      • commission number(integer)
      • serialNumberRequired boolean
      • serialNumbers string
    • shipmentLabels object | null

      Shipment label information including barcodes

      Hide shipmentLabels attribute Show shipmentLabels attribute object | null
      • barcodes array[string]
GET /orders/id/{id}
curl \
 --request GET 'api.services.omnicado.com/api/v2/orders/id/{id}' \
 --header "X-OMNICADO-TOKEN: $API_KEY"
Response examples (200)
{
  "id": 42,
  "remoteId": "string",
  "externalId": "string",
  "shipDate": "2026-05-04T09:42:00Z",
  "shippedDate": "2026-05-04T09:42:00Z",
  "deliveredDate": "2026-05-04T09:42:00Z",
  "currency": "CZK",
  "paymentType": "cashOnDelivery",
  "paymentNo": "202301010001",
  "expeditionStatus": "packing",
  "orderStatus": "shipping",
  "source": "string",
  "totalPrice": 1099.0,
  "deliveryPrice": 49.0,
  "discount": 0,
  "cashOnDelivery": 49.0,
  "cashOnDeliveryPrice": 12.0,
  "cashOnDeliveryPriceWithoutVat": 12.0,
  "cashOnDeliveryReceived": false,
  "createdAt": "2026-05-04T09:42:00Z",
  "updatedAt": "2026-05-04T09:42:00Z",
  "deliveryProvider": "warehouse",
  "externalBranchId": "6471",
  "externalOrderProcessor": "shoptet",
  "externalOrderProcessingId": "CZ20230101",
  "externalOrderDeliveryCarrier": "ppl",
  "trackingNumber": "44592754091",
  "trackingUrl": "https://www.ppl.cz/vyhledat-zasilku?shipmentId=44592754091",
  "invoiceUrl": "string",
  "hasBcxCode": true,
  "deliveryData": [
    {
      "id": 42,
      "createdAt": {
        "date": "2023-01-24 13:30:03.000000",
        "timezone_type": 3,
        "timezone": "Europe/Prague"
      },
      "updatedAt": {
        "date": "2023-01-24 13:30:03.000000",
        "timezone_type": 3,
        "timezone": "Europe/Prague"
      },
      "company": "omnicado! s.r.o.",
      "name": "Jan Novák",
      "phone": "+420607049258",
      "email": "jan@novak.cz",
      "street": "Jaurisova 515/4",
      "city": "Praha",
      "zip": "50401",
      "country": "CZ"
    }
  ],
  "items": [
    {
      "id": 42,
      "createdAt": {
        "date": "2023-01-24 13:30:03.000000",
        "timezone_type": 3,
        "timezone": "Europe/Prague"
      },
      "updatedAt": {
        "date": "2023-01-24 13:30:03.000000",
        "timezone_type": 3,
        "timezone": "Europe/Prague"
      },
      "remoteId": "WH116",
      "productId": "123456",
      "productRemoteId": "WH116",
      "productRemoteCode": "WH116",
      "marketplaceOrderItemId": "WH116",
      "quantity": 2,
      "price": 0.83,
      "priceWithoutVat": 0.69,
      "priceWithoutCommissionWithoutVat": 0.58,
      "vat": 21,
      "commission": 17,
      "serialNumberRequired": true,
      "serialNumbers": "00001;00002;00003"
    }
  ],
  "shipmentLabels": {
    "barcodes": [
      "44592754091"
    ]
  }
}